import { z, defineCollection } from 'astro:content';

const specialCollection = defineCollection({
	type: 'content',
	schema: z.object({
		title: z.string(),
	}),
});

const chaptersCollection = defineCollection({
	type: 'content',
	schema: z.object({
		title: z.string(),
	}),
});

const appendicesCollection = defineCollection({
	type: 'content',
	schema: z.object({
		title: z.string(),
	}),
});

export const collections = {
	'special': specialCollection,
	'chapters': chaptersCollection,
	'appendices': appendicesCollection,
};
